
From: Roland Dreier <roland@topspin.com>

Slightly tidy up Andi Kleen's compat_ioctl conversion for the InfiniBand MAD
driver by removing the no-longer-needed include of ioctl32.h, killing
unreachable code and doing some really anal whitespace fixing.

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/core/user_mad.c |   17 +++++++----------
 1 files changed, 7 insertions(+), 10 deletions(-)

diff -puN drivers/infiniband/core/user_mad.c~infiniband-core-compat_ioctl-conversion-minor-fixes drivers/infiniband/core/user_mad.c
--- 25/drivers/infiniband/core/user_mad.c~infiniband-core-compat_ioctl-conversion-minor-fixes	2005-01-23 22:24:52.866686600 -0800
+++ 25-akpm/drivers/infiniband/core/user_mad.c	2005-01-23 22:24:52.871685840 -0800
@@ -43,7 +43,6 @@
 #include <linux/poll.h>
 #include <linux/rwsem.h>
 #include <linux/kref.h>
-#include <linux/ioctl32.h>
 
 #include <asm/uaccess.h>
 
@@ -502,14 +501,14 @@ static int ib_umad_close(struct inode *i
 }
 
 static struct file_operations umad_fops = {
-	.owner 	 = THIS_MODULE,
-	.read 	 = ib_umad_read,
-	.write 	 = ib_umad_write,
-	.poll 	 = ib_umad_poll,
+	.owner 	        = THIS_MODULE,
+	.read 	        = ib_umad_read,
+	.write 	        = ib_umad_write,
+	.poll 	        = ib_umad_poll,
 	.unlocked_ioctl = ib_umad_ioctl,
-	.compat_ioctl = ib_umad_ioctl,
-	.open 	 = ib_umad_open,
-	.release = ib_umad_close
+	.compat_ioctl   = ib_umad_ioctl,
+	.open 	        = ib_umad_open,
+	.release        = ib_umad_close
 };
 
 static struct ib_client umad_client = {
@@ -705,8 +704,6 @@ static int __init ib_umad_init(void)
 
 	return 0;
 
-	ib_unregister_client(&umad_client);
-
 out_class:
 	class_unregister(&umad_class);
 
_
